# DS_BinarySearchTree.h File Reference

`#include "DS_QueueLinkedList.h"`
`#include "RakMemoryOverride.h"`
`#include "Export.h"`

## Classes
class | DataStructures::BinarySearchTree< BinarySearchTreeType >
| A binary search tree and an AVL balanced binary search tree. More...
class | DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >
| An AVLBalancedBinarySearchTree is a binary tree that is always balanced. More...
## Namespaces
namespace | DataStructures

## Detailed Description